---
# docker-compose file for docker shipyard
# DOCKER_HOST=dkhost03:2376 docker-compose up -d

version: '2'
services:

  shipyard-rethinkdb:
    restart: always
    image: rethinkdb

  shipyard-discovery:
    restart: always
    image: microbox/etcd
    ports:
      - 4001:4001
      - 7001:7001
    command:
      - -name
      - discovery

  shipyard-swarm-manager:
    restart: always
    image: swarm:latest
    command:
      - manage
      - --host
      - tcp://0.0.0.0:3375
      - etcd://192.168.4.53:4001

  shipyard-controller:
    restart: always
    privileged: true
    image: "shipyard/shipyard:latest"
    ports:
      - "8080:8080"
    links:
      - shipyard-rethinkdb:rethinkdb
      - shipyard-swarm-manager:swarm
    command:
      - server
      - -d
      - tcp://swarm:3375
